Send message
POST
/api/v1/projects/{projectId}/conversations/{conversationId}/messages
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
conversationId
string
required
path
Request Body required
application/jsoncontent
string
REQUIRED
sender_type
string
Enum:
agent, systemis_internal
boolean
Responses
201
Message created
No response body
404
Conversation not found
curl -X POST 'https://api.rogeriq.com/api/v1/projects/string/conversations/string/messages' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "content": "string", "sender_type": "agent", "is_internal": false}'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/conversations/string/messages', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "content": "string", "sender_type": "agent", "is_internal": false })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.rogeriq.com/api/v1/projects/string/conversations/string/messages', headers=headers, json={ "content": "string", "sender_type": "agent", "is_internal": false})print(response.json())
API Playground
Try this endpoint
POST
/api/v1/projects/{projectId}/conversations/{conversationId}/messages